/**
 *
 *
 *
 */   

#ifndef __TIMER_H_
#define __TIMER_H_

#include <stdint.h>

// Defines for the timer
typedef enum {
	OFF=0,
	ON=1,
	PAUSE=2,
	UNUSED=3,
	UNKNOWN=255,
} TIMER_STATE_T;

// Create new timer and returns timer id
uint8_t timerCreate(void);

// starts timer
// Returns either ON if started or OFF if not started (e.g. preset=0)
TIMER_STATE_T timerStart(uint8_t t_id);

// stops timer
void timerStop(uint8_t t_id);

// either returns ON or OFF or PAUSE
TIMER_STATE_T timerStatus(uint8_t t_id);

// set timer in multiples of 100ms
void timerSet(uint8_t t_id,uint8_t hms);

unsigned char tick(uint8_t t_id);

// shortens timeout by 1s
void timerDec(uint8_t t_id);

// increments timeout by 1s
void timerInc(uint8_t t_id);

// returns initial timeout time
unsigned char timerPreset(uint8_t t_id);

// pause timer
void timerPause(uint8_t t_id);

// resume timer
void timerCont(uint8_t t_id);


#endif
